<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>s2v &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>s2v
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">16 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/mstrings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/mstrings.f03.html'>mstrings.f03</a></li>
    
     <li><a href='../module/m_strings.html'>M_strings</a></li>
    
  
     <li class="active">s2v</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function s2v(chars, ierr)
    
    
   
</h2>
    
  


    
    <h2>NAME</h2>
<div class="codehilite"><pre><span></span><code>  s2v(3f) - [M_strings:NUMERIC] function returns doubleprecision numeric value from a string
</code></pre></div>

<h2>SYNOPSIS</h2>
<div class="codehilite"><pre><span></span><code><span class="k">function</span><span class="w"> </span><span class="nf">s2v</span><span class="p">(</span>string,[ierr]<span class="p">)</span><span class="w"></span>

<span class="w"> </span><span class="n">character</span><span class="p">(</span><span class="n">len</span><span class="p">=</span><span class="o">*</span><span class="p">)</span><span class="w">             </span><span class="p">::</span><span class="w"> </span><span class="nb">string</span><span class="w"></span>
<span class="w"> </span><span class="n">doubleprecision</span><span class="w">              </span><span class="p">::</span><span class="w"> </span><span class="n">s2v</span><span class="w"></span>
<span class="w"> </span><span class="n">integer</span><span class="p">,</span><span class="n">intent</span><span class="p">(</span><span class="n">out</span><span class="p">),</span><span class="n">optional</span><span class="w"> </span><span class="p">::</span><span class="w"> </span><span class="n">ierr</span><span class="w"></span>
</code></pre></div>

<h2>DESCRIPTION</h2>
<div class="codehilite"><pre><span></span><code>   <span class="n">This</span> <span class="n">function</span> <span class="n">converts</span> <span class="n">a</span> <span class="n">string</span> <span class="n">to</span> <span class="n">a</span> <span class="n">DOUBLEPRECISION</span> <span class="n">numeric</span> <span class="n">value</span><span class="o">.</span>
   <span class="n">A</span> <span class="n">value</span> <span class="n">of</span> <span class="n">zero</span> <span class="p">(</span><span class="mi">0</span><span class="p">)</span> <span class="k">is</span> <span class="n">returned</span> <span class="n">on</span> <span class="n">error</span><span class="o">.</span>

   <span class="n">If</span> <span class="n">an</span> <span class="n">error</span> <span class="n">occurs</span> <span class="n">the</span> <span class="n">program</span> <span class="k">is</span> <span class="n">stopped</span> <span class="k">if</span> <span class="n">the</span> <span class="n">optional</span> <span class="n">parameter</span>
   <span class="n">IERR</span> <span class="k">is</span> <span class="ow">not</span> <span class="n">present</span><span class="o">.</span> <span class="n">If</span> <span class="n">IERR</span> <span class="k">is</span> <span class="n">non</span><span class="o">-</span><span class="n">zero</span> <span class="n">an</span> <span class="n">error</span> <span class="n">occurred</span><span class="o">.</span>

   <span class="n">The</span> <span class="n">intrinsics</span> <span class="n">INT</span><span class="p">(</span><span class="mi">3</span><span class="n">f</span><span class="p">),</span> <span class="n">REAL</span><span class="p">(</span><span class="mi">3</span><span class="n">f</span><span class="p">),</span> <span class="ow">and</span> <span class="n">DBLE</span><span class="p">(</span><span class="mi">3</span><span class="n">f</span><span class="p">)</span> <span class="n">are</span> <span class="n">also</span> <span class="n">extended</span> <span class="n">to</span> <span class="n">take</span>
   <span class="n">CHARACTER</span> <span class="n">variables</span><span class="o">.</span> <span class="n">The</span> <span class="n">KIND</span><span class="o">=</span> <span class="n">keyword</span> <span class="k">is</span> <span class="ow">not</span> <span class="n">supported</span> <span class="n">on</span> <span class="n">the</span> <span class="n">extensions</span><span class="o">.</span>
</code></pre></div>

<h2>EXAMPLE</h2>
<p>Sample Program:</p>
<div class="codehilite"><pre><span></span><code><span class="nv">program</span> <span class="nv">demo_s2v</span>

 <span class="nv">use</span> <span class="nv">M_strings</span>, <span class="nv">only</span>: <span class="nv">s2v</span>, <span class="nv">int</span>, <span class="nv">real</span>, <span class="nv">dble</span>
 <span class="nv">implicit</span> <span class="nv">none</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">8</span><span class="ss">)</span>              :: <span class="nv">s</span><span class="o">=</span><span class="s1">&#39;</span><span class="s"> 10.345 </span><span class="s1">&#39;</span>
 <span class="nv">integer</span>                       :: <span class="nv">i</span>
 <span class="nv">character</span><span class="ss">(</span><span class="nv">len</span><span class="o">=</span><span class="mi">14</span><span class="ss">)</span>,<span class="nv">allocatable</span> :: <span class="nv">strings</span><span class="ss">(</span>:<span class="ss">)</span>
 <span class="nv">doubleprecision</span>               :: <span class="nv">dv</span>
 <span class="nv">integer</span>                       :: <span class="nv">errnum</span>

 <span class="o">!</span> <span class="nv">different</span> <span class="nv">strings</span> <span class="nv">representing</span> <span class="nv">INTEGER</span>, <span class="nv">REAL</span>, <span class="nv">and</span> <span class="nv">DOUBLEPRECISION</span>
 <span class="nv">strings</span><span class="o">=</span>[<span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s"> 10.345       </span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">+10           </span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">    -3        </span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">    -4.94e-2  </span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">0.1           </span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">12345.678910d0</span><span class="s1">&#39;</span>,<span class="o">&amp;</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">              </span><span class="s1">&#39;</span>,<span class="o">&amp;</span> <span class="o">!</span> <span class="nv">Note</span>: <span class="nv">will</span> <span class="k">return</span> <span class="nv">zero</span> <span class="nv">without</span> <span class="nv">an</span> <span class="nv">error</span> <span class="nv">message</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">1 2 1 2 1 . 0 </span><span class="s1">&#39;</span>,<span class="o">&amp;</span> <span class="o">!</span> <span class="nv">Note</span>: <span class="nv">spaces</span> <span class="nv">will</span> <span class="nv">be</span> <span class="nv">ignored</span>
 <span class="o">&amp;</span><span class="s1">&#39;</span><span class="s">WHAT?         </span><span class="s1">&#39;</span>]  <span class="o">!</span> <span class="nv">Note</span>: <span class="nv">error</span> <span class="nv">messages</span> <span class="nv">will</span> <span class="nv">appear</span>, <span class="nv">zero</span> <span class="nv">returned</span>

 <span class="o">!</span> <span class="nv">a</span> <span class="nv">numeric</span> <span class="nv">value</span> <span class="nv">is</span> <span class="nv">returned</span>, <span class="nv">so</span> <span class="nv">it</span> <span class="nv">can</span> <span class="nv">be</span> <span class="nv">used</span> <span class="nv">in</span> <span class="nv">numeric</span> <span class="nv">expression</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="s1">&#39;</span><span class="s">1/2 value of string is </span><span class="s1">&#39;</span>,<span class="nv">s2v</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span><span class="o">/</span><span class="mi">2</span>.<span class="mi">0</span><span class="nv">d0</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s"> STRING            VALUE                    ERROR_NUMBER</span><span class="s1">&#39;</span>
 <span class="k">do</span> <span class="nv">i</span><span class="o">=</span><span class="mi">1</span>,<span class="nv">size</span><span class="ss">(</span><span class="nv">strings</span><span class="ss">)</span>
    <span class="o">!</span> <span class="nv">Note</span>: <span class="nv">not</span> <span class="nv">a</span> <span class="nv">good</span> <span class="nv">idea</span> <span class="nv">to</span> <span class="nv">use</span> <span class="nv">s2v</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">in</span> <span class="nv">a</span> <span class="nv">WRITE</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span> <span class="nv">statement</span>,
    <span class="o">!</span> <span class="nv">as</span> <span class="nv">it</span> <span class="nv">does</span> <span class="nv">I</span><span class="o">/</span><span class="nv">O</span> <span class="nv">when</span> <span class="nv">errors</span> <span class="nv">occur</span>, <span class="nv">so</span> <span class="nv">called</span> <span class="nv">on</span> <span class="nv">a</span> <span class="nv">separate</span> <span class="nv">line</span>
    <span class="nv">dv</span><span class="o">=</span><span class="nv">s2v</span><span class="ss">(</span><span class="nv">strings</span><span class="ss">(</span><span class="nv">i</span><span class="ss">)</span>,<span class="nv">errnum</span><span class="ss">)</span>
    <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span> <span class="nv">strings</span><span class="ss">(</span><span class="nv">i</span><span class="ss">)</span><span class="o">//</span><span class="s1">&#39;</span><span class="s">=</span><span class="s1">&#39;</span>,<span class="nv">dv</span>,<span class="nv">errnum</span>
 <span class="nv">enddo</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s2">&quot;</span><span class="s">Extended intrinsics</span><span class="s2">&quot;</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">given inputs:</span><span class="s1">&#39;</span>,<span class="nv">s</span>,<span class="nv">strings</span><span class="ss">(</span>:<span class="mi">8</span><span class="ss">)</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">INT(3f):</span><span class="s1">&#39;</span>,<span class="nv">int</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="nv">int</span><span class="ss">(</span><span class="nv">strings</span><span class="ss">(</span>:<span class="mi">8</span><span class="ss">))</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">REAL(3f):</span><span class="s1">&#39;</span>,<span class="nv">real</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="nv">real</span><span class="ss">(</span><span class="nv">strings</span><span class="ss">(</span>:<span class="mi">8</span><span class="ss">))</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s1">&#39;</span><span class="s">DBLE(3f):</span><span class="s1">&#39;</span>,<span class="nv">dble</span><span class="ss">(</span><span class="nv">s</span><span class="ss">)</span>,<span class="nv">dble</span><span class="ss">(</span><span class="nv">strings</span><span class="ss">(</span>:<span class="mi">8</span><span class="ss">))</span>
 <span class="nv">write</span><span class="ss">(</span><span class="o">*</span>,<span class="o">*</span><span class="ss">)</span><span class="s2">&quot;</span><span class="s">That&#39;s all folks!</span><span class="s2">&quot;</span>

 <span class="k">end</span> <span class="nv">program</span> <span class="nv">demo_s2v</span>

<span class="nv">Expected</span> <span class="nv">output</span>

 <span class="o">&gt;</span><span class="mi">1</span><span class="o">/</span><span class="mi">2</span> <span class="nv">value</span> <span class="nv">of</span> <span class="nv">string</span> <span class="nv">is</span>    <span class="mi">5</span>.<span class="mi">1725000000000003</span>
 <span class="o">&gt;</span>
 <span class="o">&gt;</span> <span class="nv">STRING</span>            <span class="nv">VALUE</span>                    <span class="nv">ERROR_NUMBER</span>
 <span class="o">&gt;</span> <span class="mi">10</span>.<span class="mi">345</span>       <span class="o">=</span>   <span class="mi">10</span>.<span class="mi">345000000000001</span>                <span class="mi">0</span>
 <span class="o">&gt;+</span><span class="mi">10</span>           <span class="o">=</span>   <span class="mi">10</span>.<span class="mi">000000000000000</span>                <span class="mi">0</span>
 <span class="o">&gt;</span>    <span class="o">-</span><span class="mi">3</span>        <span class="o">=</span>  <span class="o">-</span><span class="mi">3</span>.<span class="mi">0000000000000000</span>                <span class="mi">0</span>
 <span class="o">&gt;</span>    <span class="o">-</span><span class="mi">4</span>.<span class="mi">94</span><span class="nv">e</span><span class="o">-</span><span class="mi">2</span>  <span class="o">=</span>  <span class="o">-</span><span class="mi">4</span>.<span class="mi">9399999999999999</span><span class="nv">E</span><span class="o">-</span><span class="mi">002</span>           <span class="mi">0</span>
 <span class="o">&gt;</span><span class="mi">0</span>.<span class="mi">1</span>           <span class="o">=</span>  <span class="mi">0</span>.<span class="mi">10000000000000001</span>                <span class="mi">0</span>
 <span class="o">&gt;</span><span class="mi">12345</span>.<span class="mi">678910</span><span class="nv">d0</span><span class="o">=</span>   <span class="mi">12345</span>.<span class="mi">678910000001</span>                <span class="mi">0</span>
 <span class="o">&gt;</span>              <span class="o">=</span>   <span class="mi">0</span>.<span class="mi">0000000000000000</span>                <span class="mi">0</span>
 <span class="o">&gt;</span><span class="mi">1</span> <span class="mi">2</span> <span class="mi">1</span> <span class="mi">2</span> <span class="mi">1</span> . <span class="mi">0</span> <span class="o">=</span>   <span class="mi">12121</span>.<span class="mi">000000000000</span>                <span class="mi">0</span>
 <span class="o">&gt;*</span><span class="nv">a2d</span><span class="o">*</span> <span class="o">-</span> <span class="nv">cannot</span> <span class="nv">produce</span> <span class="nv">number</span> <span class="nv">from</span> <span class="nv">string</span> [<span class="nv">WHAT</span>?]
 <span class="o">&gt;*</span><span class="nv">a2d</span><span class="o">*</span> <span class="o">-</span> [<span class="nv">Bad</span> <span class="nv">value</span> <span class="nv">during</span> <span class="nv">floating</span> <span class="nv">point</span> <span class="nv">read</span>]
 <span class="o">&gt;</span><span class="nv">WHAT</span>?         <span class="o">=</span>   <span class="mi">0</span>.<span class="mi">0000000000000000</span>             <span class="mi">5010</span>
 <span class="o">&gt;</span><span class="nv">Extended</span> <span class="nv">intrinsics</span>
 <span class="o">&gt;</span><span class="nv">given</span> <span class="nv">inputs</span>: <span class="mi">10</span>.<span class="mi">345</span> <span class="mi">10</span>.<span class="mi">345</span> <span class="o">+</span><span class="mi">10</span> <span class="o">-</span><span class="mi">3</span> <span class="o">-</span><span class="mi">4</span>.<span class="mi">94</span><span class="nv">e</span><span class="o">-</span><span class="mi">2</span> <span class="mi">0</span>.<span class="mi">1</span> <span class="mi">12345</span>.<span class="mi">678910</span><span class="nv">d0</span> <span class="mi">1</span> <span class="mi">2</span> <span class="mi">1</span> <span class="mi">2</span> <span class="mi">1</span> . <span class="mi">0</span>
 <span class="o">&gt;</span><span class="nv">INT</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span>: <span class="mi">10</span> <span class="mi">10</span> <span class="mi">10</span> <span class="o">-</span><span class="mi">3</span> <span class="mi">0</span> <span class="mi">0</span> <span class="mi">12345</span> <span class="mi">0</span> <span class="mi">12121</span>
 <span class="o">&gt;</span><span class="nv">REAL</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span>: <span class="mi">10</span>.<span class="mi">3450003</span> <span class="mi">10</span>.<span class="mi">3450003</span> <span class="mi">10</span>.<span class="mi">0000000</span> <span class="o">-</span><span class="mi">3</span>.<span class="mi">00000000</span> <span class="o">-</span><span class="mi">4</span>.<span class="mi">94000018</span><span class="nv">E</span><span class="o">-</span><span class="mi">02</span>
 <span class="o">&gt;</span>          <span class="mi">0</span>.<span class="mi">100000001</span> <span class="mi">12345</span>.<span class="mi">6787</span> <span class="mi">0</span>.<span class="mi">00000000</span> <span class="mi">12121</span>.<span class="mi">0000</span>
 <span class="o">&gt;</span><span class="nv">DBLE</span><span class="ss">(</span><span class="mi">3</span><span class="nv">f</span><span class="ss">)</span>: <span class="mi">10</span>.<span class="mi">345000000000001</span> <span class="mi">10</span>.<span class="mi">345000000000001</span> <span class="mi">10</span>.<span class="mi">000000000000000</span>
 <span class="o">&gt;</span>          <span class="o">-</span><span class="mi">3</span>.<span class="mi">0000000000000000</span> <span class="o">-</span><span class="mi">4</span>.<span class="mi">9399999999999999</span><span class="nv">E</span><span class="o">-</span><span class="mi">002</span> <span class="mi">0</span>.<span class="mi">10000000000000001</span>
 <span class="o">&gt;</span>          <span class="mi">12345</span>.<span class="mi">678910000001</span> <span class="mi">0</span>.<span class="mi">0000000000000000</span> <span class="mi">12121</span>.<span class="mi">000000000000</span>
 <span class="o">&gt;</span><span class="nv">That</span><span class="s1">&#39;</span><span class="s">s all folks!</span>
</code></pre></div>

<h2>PROCEDURE:</h2>
<p>DESCRIPTION: s2v(3f): function returns doubleprecision number from string;zero if error occurs</p>
<h2>VERSION:     2.0, 20160704</h2>
<p>AUTHOR:      John S. Urban</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-chars"></span>character(len=*),</td>
  <td>intent(in)</td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>chars</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ierr%7E2"></span>integer,</td>
  <td></td>
  <td>optional</td>
  
  <td></td><td>::</td>
  <td><strong>ierr</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-s2v"></span>doubleprecision
  </small></h3>
    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~s2v~~CallsGraph Pages: 1 -->
<svg id="procs2vCallsGraph" width="594pt" height="307pt"
 viewBox="0.00 0.00 594.00 307.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~s2v~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 303)">
<title>proc~~s2v~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-303 590,-303 590,4 -4,4"/>
<!-- proc~s2v -->
<g id="proc~~s2v~~CallsGraph_node1" class="node">
<title>proc~s2v</title>
<polygon fill="none" stroke="#000000" points="54,-113 0,-113 0,-89 54,-89 54,-113"/>
<text text-anchor="middle" x="27" y="-98.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">s2v</text>
</g>
<!-- proc~a2d -->
<g id="proc~~s2v~~CallsGraph_node2" class="node">
<title>proc~a2d</title>
<g id="a_proc~~s2v~~CallsGraph_node2"><a xlink:href=".././proc/a2d.html" xlink:title="a2d">
<polygon fill="#d9534f" stroke="#d9534f" points="144,-113 90,-113 90,-89 144,-89 144,-113"/>
<text text-anchor="middle" x="117" y="-98.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2d</text>
</a>
</g>
</g>
<!-- proc~s2v&#45;&gt;proc~a2d -->
<g id="proc~~s2v~~CallsGraph_edge1" class="edge">
<title>proc~s2v&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M54.003,-101C62.0277,-101 70.9665,-101 79.5309,-101"/>
<polygon fill="#000000" stroke="#000000" points="79.7051,-104.5001 89.705,-101 79.705,-97.5001 79.7051,-104.5001"/>
</g>
<!-- proc~substitute -->
<g id="proc~~s2v~~CallsGraph_node3" class="node">
<title>proc~substitute</title>
<g id="a_proc~~s2v~~CallsGraph_node3"><a xlink:href=".././proc/substitute.html" xlink:title="substitute">
<polygon fill="#d9534f" stroke="#d9534f" points="244.5,-236 186.5,-236 186.5,-212 244.5,-212 244.5,-236"/>
<text text-anchor="middle" x="215.5" y="-221.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">substitute</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~substitute -->
<g id="proc~~s2v~~CallsGraph_edge2" class="edge">
<title>proc~a2d&#45;&gt;proc~substitute</title>
<path fill="none" stroke="#000000" d="M122.2079,-113.295C131.4071,-133.8808 152.2164,-175.7424 180,-203 181.0543,-204.0343 182.1691,-205.0383 183.3279,-206.0101"/>
<polygon fill="#000000" stroke="#000000" points="181.2984,-208.862 191.4372,-211.9372 185.4291,-203.2106 181.2984,-208.862"/>
</g>
<!-- proc~decodebase -->
<g id="proc~~s2v~~CallsGraph_node4" class="node">
<title>proc~decodebase</title>
<g id="a_proc~~s2v~~CallsGraph_node4"><a xlink:href=".././proc/decodebase.html" xlink:title="decodebase">
<polygon fill="#d94e8f" stroke="#d94e8f" points="251,-93 180,-93 180,-69 251,-69 251,-93"/>
<text text-anchor="middle" x="215.5" y="-78.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">decodebase</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;proc~decodebase -->
<g id="proc~~s2v~~CallsGraph_edge3" class="edge">
<title>proc~a2d&#45;&gt;proc~decodebase</title>
<path fill="none" stroke="#000000" d="M144.1763,-95.482C152.2028,-93.8522 161.2155,-92.0222 170.0631,-90.2258"/>
<polygon fill="#000000" stroke="#000000" points="170.8172,-93.6442 179.9207,-88.2242 169.4242,-86.7841 170.8172,-93.6442"/>
</g>
<!-- interface~v2s -->
<g id="proc~~s2v~~CallsGraph_node5" class="node">
<title>interface~v2s</title>
<g id="a_proc~~s2v~~CallsGraph_node5"><a xlink:href=".././interface/v2s.html" xlink:title="v2s">
<polygon fill="#a7506f" stroke="#a7506f" points="242.5,-194 188.5,-194 188.5,-170 242.5,-170 242.5,-194"/>
<text text-anchor="middle" x="215.5" y="-179.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">v2s</text>
</a>
</g>
</g>
<!-- proc~a2d&#45;&gt;interface~v2s -->
<g id="proc~~s2v~~CallsGraph_edge4" class="edge">
<title>proc~a2d&#45;&gt;interface~v2s</title>
<path fill="none" stroke="#000000" d="M131.96,-113.3022C148.1808,-126.6411 174.2535,-148.0815 192.958,-163.4629"/>
<polygon fill="#000000" stroke="#000000" points="190.775,-166.1992 200.7219,-169.8475 195.2211,-160.7925 190.775,-166.1992"/>
</g>
<!-- interface~string_to_value -->
<g id="proc~~s2v~~CallsGraph_node10" class="node">
<title>interface~string_to_value</title>
<g id="a_proc~~s2v~~CallsGraph_node10"><a xlink:href=".././interface/string_to_value.html" xlink:title="string_to_value">
<polygon fill="#a7506f" stroke="#a7506f" points="372,-75 287,-75 287,-51 372,-51 372,-75"/>
<text text-anchor="middle" x="329.5" y="-60.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">string_to_value</text>
</a>
</g>
</g>
<!-- proc~decodebase&#45;&gt;interface~string_to_value -->
<g id="proc~~s2v~~CallsGraph_edge5" class="edge">
<title>proc~decodebase&#45;&gt;interface~string_to_value</title>
<path fill="none" stroke="#000000" d="M251.2575,-75.3541C259.33,-74.0795 268.0657,-72.7001 276.6738,-71.341"/>
<polygon fill="#000000" stroke="#000000" points="277.3413,-74.779 286.673,-69.7622 276.2495,-67.8647 277.3413,-74.779"/>
</g>
<!-- proc~r2s -->
<g id="proc~~s2v~~CallsGraph_node6" class="node">
<title>proc~r2s</title>
<g id="a_proc~~s2v~~CallsGraph_node6"><a xlink:href=".././proc/r2s.html" xlink:title="r2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-215 302.5,-215 302.5,-191 356.5,-191 356.5,-215"/>
<text text-anchor="middle" x="329.5" y="-200.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">r2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~r2s -->
<g id="proc~~s2v~~CallsGraph_edge7" class="edge">
<title>interface~v2s&#45;&gt;proc~r2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M242.5164,-186.9767C257.3155,-189.7029 275.8844,-193.1234 292.0611,-196.1034"/>
<polygon fill="#000000" stroke="#000000" points="291.8138,-199.6166 302.2824,-197.9862 293.082,-192.7325 291.8138,-199.6166"/>
</g>
<!-- proc~l2s -->
<g id="proc~~s2v~~CallsGraph_node7" class="node">
<title>proc~l2s</title>
<g id="a_proc~~s2v~~CallsGraph_node7"><a xlink:href=".././proc/l2s.html" xlink:title="l2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-173 302.5,-173 302.5,-149 356.5,-149 356.5,-173"/>
<text text-anchor="middle" x="329.5" y="-158.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">l2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~l2s -->
<g id="proc~~s2v~~CallsGraph_edge6" class="edge">
<title>interface~v2s&#45;&gt;proc~l2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M242.5164,-177.0233C257.3155,-174.2971 275.8844,-170.8766 292.0611,-167.8966"/>
<polygon fill="#000000" stroke="#000000" points="293.082,-171.2675 302.2824,-166.0138 291.8138,-164.3834 293.082,-171.2675"/>
</g>
<!-- proc~i2s -->
<g id="proc~~s2v~~CallsGraph_node8" class="node">
<title>proc~i2s</title>
<g id="a_proc~~s2v~~CallsGraph_node8"><a xlink:href=".././proc/i2s.html" xlink:title="i2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-299 302.5,-299 302.5,-275 356.5,-275 356.5,-299"/>
<text text-anchor="middle" x="329.5" y="-284.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">i2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~i2s -->
<g id="proc~~s2v~~CallsGraph_edge8" class="edge">
<title>interface~v2s&#45;&gt;proc~i2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M240.0259,-194.2093C243.957,-196.7902 247.7838,-199.7351 251,-203 273.6314,-225.9743 263.5204,-243.8933 287,-266 288.9399,-267.8265 291.0689,-269.5269 293.3081,-271.1038"/>
<polygon fill="#000000" stroke="#000000" points="291.9601,-274.3801 302.324,-276.58 295.594,-268.3972 291.9601,-274.3801"/>
</g>
<!-- proc~d2s -->
<g id="proc~~s2v~~CallsGraph_node9" class="node">
<title>proc~d2s</title>
<g id="a_proc~~s2v~~CallsGraph_node9"><a xlink:href=".././proc/d2s.html" xlink:title="d2s">
<polygon fill="#d94e8f" stroke="#d94e8f" points="356.5,-257 302.5,-257 302.5,-233 356.5,-233 356.5,-257"/>
<text text-anchor="middle" x="329.5" y="-242.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">d2s</text>
</a>
</g>
</g>
<!-- interface~v2s&#45;&gt;proc~d2s -->
<g id="proc~~s2v~~CallsGraph_edge9" class="edge">
<title>interface~v2s&#45;&gt;proc~d2s</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M235.9853,-194.135C255.2698,-205.542 281.9327,-221.2644 287,-224 289.666,-225.4393 292.4441,-226.8988 295.2469,-228.3431"/>
<polygon fill="#000000" stroke="#000000" points="293.6733,-231.4694 304.1764,-232.8606 296.8333,-225.2232 293.6733,-231.4694"/>
</g>
<!-- proc~value_to_string -->
<g id="proc~~s2v~~CallsGraph_node11" class="node">
<title>proc~value_to_string</title>
<g id="a_proc~~s2v~~CallsGraph_node11"><a xlink:href=".././proc/value_to_string.html" xlink:title="value_to_string">
<polygon fill="#d9534f" stroke="#d9534f" points="493,-236 408,-236 408,-212 493,-212 493,-236"/>
<text text-anchor="middle" x="450.5" y="-221.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">value_to_string</text>
</a>
</g>
</g>
<!-- proc~r2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2v~~CallsGraph_edge10" class="edge">
<title>proc~r2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M356.6548,-207.7128C368.7656,-209.8147 383.4689,-212.3665 397.6088,-214.8205"/>
<polygon fill="#000000" stroke="#000000" points="397.3089,-218.3207 407.7601,-216.5823 398.5059,-211.4238 397.3089,-218.3207"/>
</g>
<!-- proc~l2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2v~~CallsGraph_edge11" class="edge">
<title>proc~l2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M354.2884,-173.0804C360.1162,-175.967 366.2915,-179.0635 372,-182 387.6721,-190.0618 404.9566,-199.2742 419.308,-207.013"/>
<polygon fill="#000000" stroke="#000000" points="417.8078,-210.1807 428.2689,-211.8587 421.1375,-204.0233 417.8078,-210.1807"/>
</g>
<!-- proc~i2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2v~~CallsGraph_edge12" class="edge">
<title>proc~i2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M354.2884,-274.9196C360.1162,-272.033 366.2915,-268.9365 372,-266 387.6721,-257.9382 404.9566,-248.7258 419.308,-240.987"/>
<polygon fill="#000000" stroke="#000000" points="421.1375,-243.9767 428.2689,-236.1413 417.8078,-237.8193 421.1375,-243.9767"/>
</g>
<!-- proc~d2s&#45;&gt;proc~value_to_string -->
<g id="proc~~s2v~~CallsGraph_edge13" class="edge">
<title>proc~d2s&#45;&gt;proc~value_to_string</title>
<path fill="none" stroke="#000000" d="M356.6548,-240.2872C368.7656,-238.1853 383.4689,-235.6335 397.6088,-233.1795"/>
<polygon fill="#000000" stroke="#000000" points="398.5059,-236.5762 407.7601,-231.4177 397.3089,-229.6793 398.5059,-236.5762"/>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2d -->
<g id="proc~~s2v~~CallsGraph_edge16" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M286.6927,-55.3417C256.2873,-51.5273 214.8424,-49.6607 180,-60 164.8466,-64.4967 149.9292,-73.9167 138.4167,-82.5945"/>
<polygon fill="#000000" stroke="#000000" points="136.0008,-80.0429 130.3293,-88.9919 140.3436,-85.5329 136.0008,-80.0429"/>
</g>
<!-- proc~a2i -->
<g id="proc~~s2v~~CallsGraph_node12" class="node">
<title>proc~a2i</title>
<g id="a_proc~~s2v~~CallsGraph_node12"><a xlink:href=".././proc/a2i.html" xlink:title="a2i">
<polygon fill="#d9534f" stroke="#d9534f" points="477.5,-104 423.5,-104 423.5,-80 477.5,-80 477.5,-104"/>
<text text-anchor="middle" x="450.5" y="-89.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2i</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2i -->
<g id="proc~~s2v~~CallsGraph_edge15" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2i</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M372.1601,-73.2243C385.5821,-76.4412 400.2906,-79.9663 413.3019,-83.0847"/>
<polygon fill="#000000" stroke="#000000" points="412.7754,-86.5576 423.3158,-85.4848 414.407,-79.7504 412.7754,-86.5576"/>
</g>
<!-- proc~a2r -->
<g id="proc~~s2v~~CallsGraph_node13" class="node">
<title>proc~a2r</title>
<g id="a_proc~~s2v~~CallsGraph_node13"><a xlink:href=".././proc/a2r.html" xlink:title="a2r">
<polygon fill="#d9534f" stroke="#d9534f" points="477.5,-24 423.5,-24 423.5,0 477.5,0 477.5,-24"/>
<text text-anchor="middle" x="450.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">a2r</text>
</a>
</g>
</g>
<!-- interface~string_to_value&#45;&gt;proc~a2r -->
<g id="proc~~s2v~~CallsGraph_edge14" class="edge">
<title>interface~string_to_value&#45;&gt;proc~a2r</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M358.1753,-50.9137C374.8037,-43.9051 395.9159,-35.0065 413.7534,-27.4882"/>
<polygon fill="#000000" stroke="#000000" points="415.4214,-30.5835 423.2769,-23.4742 412.7026,-24.133 415.4214,-30.5835"/>
</g>
<!-- proc~trimzeros -->
<g id="proc~~s2v~~CallsGraph_node14" class="node">
<title>proc~trimzeros</title>
<g id="a_proc~~s2v~~CallsGraph_node14"><a xlink:href=".././proc/trimzeros.html" xlink:title="trimzeros">
<polygon fill="#d9534f" stroke="#d9534f" points="586,-236 529,-236 529,-212 586,-212 586,-236"/>
<text text-anchor="middle" x="557.5" y="-221.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">trimzeros</text>
</a>
</g>
</g>
<!-- proc~value_to_string&#45;&gt;proc~trimzeros -->
<g id="proc~~s2v~~CallsGraph_edge17" class="edge">
<title>proc~value_to_string&#45;&gt;proc~trimzeros</title>
<path fill="none" stroke="#000000" d="M493.0967,-224C501.538,-224 510.3576,-224 518.6658,-224"/>
<polygon fill="#000000" stroke="#000000" points="518.8491,-227.5001 528.849,-224 518.849,-220.5001 518.8491,-227.5001"/>
</g>
<!-- proc~a2i&#45;&gt;proc~a2d -->
<g id="proc~~s2v~~CallsGraph_edge18" class="edge">
<title>proc~a2i&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M423.4107,-93.7889C385.0541,-96.2235 312.7091,-100.4544 251,-102 219.4543,-102.7901 211.5546,-102.2504 180,-102 171.7705,-101.9347 162.9368,-101.8214 154.5649,-101.694"/>
<polygon fill="#000000" stroke="#000000" points="154.343,-98.19 144.2876,-101.5275 154.2296,-105.1891 154.343,-98.19"/>
</g>
<!-- proc~a2r&#45;&gt;proc~a2d -->
<g id="proc~~s2v~~CallsGraph_edge19" class="edge">
<title>proc~a2r&#45;&gt;proc~a2d</title>
<path fill="none" stroke="#000000" d="M423.4713,-10.925C373.2585,-9.9384 263.1379,-12.5699 180,-49 162.9023,-56.492 146.7318,-70.0266 135.055,-81.4094"/>
<polygon fill="#000000" stroke="#000000" points="132.2553,-79.2643 127.7328,-88.8454 137.2431,-84.1757 132.2553,-79.2643"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~s2v~~CalledByGraph Pages: 1 -->
<svg id="procs2vCalledByGraph" width="249pt" height="242pt"
 viewBox="0.00 0.00 249.00 242.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~s2v~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 238)">
<title>proc~~s2v~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-238 245,-238 245,4 -4,4"/>
<!-- proc~s2v -->
<g id="proc~~s2v~~CalledByGraph_node1" class="node">
<title>proc~s2v</title>
<polygon fill="none" stroke="#000000" points="241,-129 187,-129 187,-105 241,-105 241,-129"/>
<text text-anchor="middle" x="214" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">s2v</text>
</g>
<!-- proc~dble_s2v -->
<g id="proc~~s2v~~CalledByGraph_node2" class="node">
<title>proc~dble_s2v</title>
<g id="a_proc~~s2v~~CalledByGraph_node2"><a xlink:href=".././proc/dble_s2v.html" xlink:title="dble_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="148,-234 93,-234 93,-210 148,-210 148,-234"/>
<text text-anchor="middle" x="120.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble_s2v</text>
</a>
</g>
</g>
<!-- proc~dble_s2v&#45;&gt;proc~s2v -->
<g id="proc~~s2v~~CalledByGraph_edge1" class="edge">
<title>proc~dble_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M140.2653,-209.7881C144.0028,-207.0996 147.7541,-204.117 151,-201 171.0421,-181.7539 189.5527,-155.6462 201.2499,-137.6715"/>
<polygon fill="#000000" stroke="#000000" points="204.2944,-139.4067 206.7177,-129.0927 198.3914,-135.6443 204.2944,-139.4067"/>
</g>
<!-- proc~dbles_s2v -->
<g id="proc~~s2v~~CalledByGraph_node3" class="node">
<title>proc~dbles_s2v</title>
<g id="a_proc~~s2v~~CalledByGraph_node3"><a xlink:href=".././proc/dbles_s2v.html" xlink:title="dbles_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="151,-192 90,-192 90,-168 151,-168 151,-192"/>
<text text-anchor="middle" x="120.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dbles_s2v</text>
</a>
</g>
</g>
<!-- proc~dbles_s2v&#45;&gt;proc~s2v -->
<g id="proc~~s2v~~CalledByGraph_edge2" class="edge">
<title>proc~dbles_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M138.5277,-167.853C152.3681,-158.5274 171.6921,-145.5069 187.3215,-134.9759"/>
<polygon fill="#000000" stroke="#000000" points="189.6902,-137.6003 196.0276,-129.1097 185.7787,-131.7951 189.6902,-137.6003"/>
</g>
<!-- proc~reals_s2v -->
<g id="proc~~s2v~~CalledByGraph_node4" class="node">
<title>proc~reals_s2v</title>
<g id="a_proc~~s2v~~CalledByGraph_node4"><a xlink:href=".././proc/reals_s2v.html" xlink:title="reals_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="149.5,-150 91.5,-150 91.5,-126 149.5,-126 149.5,-150"/>
<text text-anchor="middle" x="120.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">reals_s2v</text>
</a>
</g>
</g>
<!-- proc~reals_s2v&#45;&gt;proc~s2v -->
<g id="proc~~s2v~~CalledByGraph_edge3" class="edge">
<title>proc~reals_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M149.5715,-131.4706C158.2182,-129.5285 167.8112,-127.374 176.8961,-125.3335"/>
<polygon fill="#000000" stroke="#000000" points="177.8699,-128.7021 186.8598,-123.0957 176.3358,-121.8722 177.8699,-128.7021"/>
</g>
<!-- proc~real_s2v -->
<g id="proc~~s2v~~CalledByGraph_node5" class="node">
<title>proc~real_s2v</title>
<g id="a_proc~~s2v~~CalledByGraph_node5"><a xlink:href=".././proc/real_s2v.html" xlink:title="real_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-108 93.5,-108 93.5,-84 147.5,-84 147.5,-108"/>
<text text-anchor="middle" x="120.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real_s2v</text>
</a>
</g>
</g>
<!-- proc~real_s2v&#45;&gt;proc~s2v -->
<g id="proc~~s2v~~CalledByGraph_edge4" class="edge">
<title>proc~real_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M147.5441,-102.0741C156.6707,-104.1239 167.0237,-106.4492 176.7956,-108.6439"/>
<polygon fill="#000000" stroke="#000000" points="176.1688,-112.0903 186.6928,-110.8668 177.7029,-105.2604 176.1688,-112.0903"/>
</g>
<!-- proc~int_s2v -->
<g id="proc~~s2v~~CalledByGraph_node6" class="node">
<title>proc~int_s2v</title>
<g id="a_proc~~s2v~~CalledByGraph_node6"><a xlink:href=".././proc/int_s2v.html" xlink:title="int_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-66 93.5,-66 93.5,-42 147.5,-42 147.5,-66"/>
<text text-anchor="middle" x="120.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int_s2v</text>
</a>
</g>
</g>
<!-- proc~int_s2v&#45;&gt;proc~s2v -->
<g id="proc~~s2v~~CalledByGraph_edge5" class="edge">
<title>proc~int_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M138.5277,-66.147C152.3681,-75.4726 171.6921,-88.4931 187.3215,-99.0241"/>
<polygon fill="#000000" stroke="#000000" points="185.7787,-102.2049 196.0276,-104.8903 189.6902,-96.3997 185.7787,-102.2049"/>
</g>
<!-- proc~ints_s2v -->
<g id="proc~~s2v~~CalledByGraph_node7" class="node">
<title>proc~ints_s2v</title>
<g id="a_proc~~s2v~~CalledByGraph_node7"><a xlink:href=".././proc/ints_s2v.html" xlink:title="ints_s2v">
<polygon fill="#d94e8f" stroke="#d94e8f" points="147.5,-24 93.5,-24 93.5,0 147.5,0 147.5,-24"/>
<text text-anchor="middle" x="120.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">ints_s2v</text>
</a>
</g>
</g>
<!-- proc~ints_s2v&#45;&gt;proc~s2v -->
<g id="proc~~s2v~~CalledByGraph_edge6" class="edge">
<title>proc~ints_s2v&#45;&gt;proc~s2v</title>
<path fill="none" stroke="#000000" d="M140.2653,-24.2119C144.0028,-26.9004 147.7541,-29.883 151,-33 171.0421,-52.2461 189.5527,-78.3538 201.2499,-96.3285"/>
<polygon fill="#000000" stroke="#000000" points="198.3914,-98.3557 206.7177,-104.9073 204.2944,-94.5933 198.3914,-98.3557"/>
</g>
<!-- interface~real~2 -->
<g id="proc~~s2v~~CalledByGraph_node8" class="node">
<title>interface~real~2</title>
<g id="a_proc~~s2v~~CalledByGraph_node8"><a xlink:href=".././interface/real%7E2.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-150 0,-150 0,-126 54,-126 54,-150"/>
<text text-anchor="middle" x="27" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real~2&#45;&gt;proc~reals_s2v -->
<g id="proc~~s2v~~CalledByGraph_edge9" class="edge">
<title>interface~real~2&#45;&gt;proc~reals_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-138C62.5083,-138 72.0274,-138 81.1595,-138"/>
<polygon fill="#000000" stroke="#000000" points="81.2286,-141.5001 91.2286,-138 81.2286,-134.5001 81.2286,-141.5001"/>
</g>
<!-- interface~dble -->
<g id="proc~~s2v~~CalledByGraph_node9" class="node">
<title>interface~dble</title>
<g id="a_proc~~s2v~~CalledByGraph_node9"><a xlink:href=".././interface/dble.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-234 0,-234 0,-210 54,-210 54,-234"/>
<text text-anchor="middle" x="27" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble&#45;&gt;proc~dble_s2v -->
<g id="proc~~s2v~~CalledByGraph_edge7" class="edge">
<title>interface~dble&#45;&gt;proc~dble_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-222C62.9954,-222 73.1265,-222 82.732,-222"/>
<polygon fill="#000000" stroke="#000000" points="82.8679,-225.5001 92.8678,-222 82.8678,-218.5001 82.8679,-225.5001"/>
</g>
<!-- interface~int~2 -->
<g id="proc~~s2v~~CalledByGraph_node10" class="node">
<title>interface~int~2</title>
<g id="a_proc~~s2v~~CalledByGraph_node10"><a xlink:href=".././interface/int%7E2.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int~2&#45;&gt;proc~ints_s2v -->
<g id="proc~~s2v~~CalledByGraph_edge12" class="edge">
<title>interface~int~2&#45;&gt;proc~ints_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-12C63.0746,-12 73.3059,-12 82.9868,-12"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-15.5001 93.1928,-12 83.1927,-8.5001 83.1928,-15.5001"/>
</g>
<!-- interface~real -->
<g id="proc~~s2v~~CalledByGraph_node11" class="node">
<title>interface~real</title>
<g id="a_proc~~s2v~~CalledByGraph_node11"><a xlink:href=".././interface/real.html" xlink:title="real">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-108 0,-108 0,-84 54,-84 54,-108"/>
<text text-anchor="middle" x="27" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">real</text>
</a>
</g>
</g>
<!-- interface~real&#45;&gt;proc~real_s2v -->
<g id="proc~~s2v~~CalledByGraph_edge10" class="edge">
<title>interface~real&#45;&gt;proc~real_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-96C63.0746,-96 73.3059,-96 82.9868,-96"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-99.5001 93.1928,-96 83.1927,-92.5001 83.1928,-99.5001"/>
</g>
<!-- interface~dble~2 -->
<g id="proc~~s2v~~CalledByGraph_node12" class="node">
<title>interface~dble~2</title>
<g id="a_proc~~s2v~~CalledByGraph_node12"><a xlink:href=".././interface/dble%7E2.html" xlink:title="dble">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-192 0,-192 0,-168 54,-168 54,-192"/>
<text text-anchor="middle" x="27" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dble</text>
</a>
</g>
</g>
<!-- interface~dble~2&#45;&gt;proc~dbles_s2v -->
<g id="proc~~s2v~~CalledByGraph_edge8" class="edge">
<title>interface~dble~2&#45;&gt;proc~dbles_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-180C62.1072,-180 71.1275,-180 79.8587,-180"/>
<polygon fill="#000000" stroke="#000000" points="79.9008,-183.5001 89.9008,-180 79.9007,-176.5001 79.9008,-183.5001"/>
</g>
<!-- interface~int -->
<g id="proc~~s2v~~CalledByGraph_node13" class="node">
<title>interface~int</title>
<g id="a_proc~~s2v~~CalledByGraph_node13"><a xlink:href=".././interface/int.html" xlink:title="int">
<polygon fill="#a7506f" stroke="#a7506f" points="54,-66 0,-66 0,-42 54,-42 54,-66"/>
<text text-anchor="middle" x="27" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">int</text>
</a>
</g>
</g>
<!-- interface~int&#45;&gt;proc~int_s2v -->
<g id="proc~~s2v~~CalledByGraph_edge11" class="edge">
<title>interface~int&#45;&gt;proc~int_s2v</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M54.0441,-54C63.0746,-54 73.3059,-54 82.9868,-54"/>
<polygon fill="#000000" stroke="#000000" points="83.1928,-57.5001 93.1928,-54 83.1927,-50.5001 83.1928,-57.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>